name:                 directory
version:              1.3.8.3
visibility:           public
id:                   directory-1.3.8.3-inplace
key:                  directory-1.3.8.3-inplace
license:              BSD-3-Clause
maintainer:           libraries@haskell.org
synopsis:             Platform-agnostic library for filesystem operations
description:
    This library provides a basic set of operations for manipulating files and
    directories in a portable way.

category:             System
abi:                  af36d1a3a419dbaf720ea24aaec27327
exposed:              True
exposed-modules:
    System.Directory System.Directory.Internal
    System.Directory.Internal.Prelude System.Directory.OsPath

hidden-modules:
    System.Directory.Internal.C_utimensat
    System.Directory.Internal.Common System.Directory.Internal.Config
    System.Directory.Internal.Posix System.Directory.Internal.Windows

import-dirs:
    ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1/directory-1.3.8.3-inplace

library-dirs:
    ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1/directory-1.3.8.3-inplace

library-dirs-static:
    ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1/directory-1.3.8.3-inplace

dynamic-library-dirs: ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1
data-dir:
    ${pkgroot}/../share/x86_64-netbsd-ghc-9.10.1/directory-1.3.8.3

hs-libraries:         HSdirectory-1.3.8.3-inplace
include-dirs:
    ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1/directory-1.3.8.3-inplace/include

depends:
    base-4.20.0.0-inplace filepath-1.5.2.0-inplace
    os-string-2.0.2-inplace time-1.12.2-inplace unix-2.8.5.1-inplace

haddock-interfaces: "${pkgroot}/../../../share/doc/ghc-9.10.1/html/libraries/directory-1.3.8.3-inplace/directory.haddock"


haddock-html: "${pkgroot}/../../../share/doc/ghc-9.10.1/html/libraries/directory-1.3.8.3-inplace"

